﻿using System;
using System.Windows.Forms;
using System.Windows.Forms.DataVisualization.Charting;

namespace Ul_4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private double CalculateFunction(double x, double b)
        {
            double result = Math.Pow(10, -3) * Math.Pow(Math.Abs(x), 5.0 / 2.0) + Math.Log(Math.Abs(x + b));
            return result;
        }

        private void buttonCalculate_Click(object sender, EventArgs e)
        {
            double x0 = 1.75;
            double xk = -2.5;
            double dx = -0.25;
            double b = 35.4;

            int arrayLength = Convert.ToInt32(Math.Abs((xk - x0) / dx)) + 1;
            double[] results = new double[arrayLength];
            double[] xValues = new double[arrayLength];

            int index = 0;
            for (double x = x0; x >= xk; x += dx)
            {
                double result = CalculateFunction(x, b);
                results[index] = result;
                xValues[index] = x;
                index++;
            }

            // Очистка предыдущих данных графика
            chart1.Series.Clear();

            // Создание нового графика
            Series series = new Series("Функция");
            series.ChartType = SeriesChartType.Line;

            // Добавление точек на график
            for (int i = 0; i < arrayLength; i++)
            {
                series.Points.AddXY(xValues[i], results[i]);
            }

            // Добавление графика на элемент управления Chart
            chart1.Series.Add(series);
        }
    }
}
